#

API Docs for:
Show: Inherited Protected Private Deprecated

# CartesianSeries Class

Defined in: `input/charts/CartesianSeries.js:1`
Module: charts

The CartesianSeries class creates a chart with horizontal and vertical axes.

- Index
- Methods
- Properties
- Attributes

## Item Index

### Methods

- _getDefaultColor
- _getDefaultStyles
- _handleVisibleChange
- _setCanvas
- _updateAxisData
- _xAxisChangeHandler
- _xDataChangeHandler
- _yAxisChangeHandler
- _yDataChangeHandler
- addListeners
- destructor
- draw
- getTotalValues
- render
- setAreaData
- validate

### Properties

- _bottomOrigin
- _defaultBorderColors
- _defaultFillColors
- _defaultLineColors
- _defaultPlaneOffset
- _defaultSliceColors
- _leftOrigin
- _xDisplayName
- _yDisplayName
- GUID

### Attributes

- categoryDisplayName
- chart
- direction
- graph
- graphOrder
- groupMarkers
- height
- order
- rendered
- type
- valueDisplayName
- visible
- xAxis
- xcoords
- xData
- xDisplayName
- xKey
- xMarkerPlane
- xMarkerPlaneOffset
- yAxis
- ycoords
- yData
- yDisplayName
- yKey
- yMarkerPlane
- yMarkerPlaneOffset

## Methods

### `_getDefaultColor`

(

- `index`
- `type`

)
protected

Defined in `input/charts/CartesianSeries.js:425`

Parses a color based on a series order and type.

#### Parameters:

- `index` Number

  Index indicating the series order.

- `type` String

  Indicates which type of object needs the color.

#### Returns:

String

### `_getDefaultStyles`

() protected

Defined in `input/charts/CartesianSeries.js:371`

Gets the default value for the `styles` attribute. Overrides base implementation.

#### Returns:

Object

### `_handleVisibleChange`

(

- `e`

)
protected

Defined in `input/charts/CartesianSeries.js:453`

Shows/hides contents of the series.

#### Parameters:

- `e` Object

  Event object.

### `_setCanvas`

() protected

Defined in `input/charts/CartesianSeries.js:222`

Creates a `Graphic` instance.

### `_updateAxisData`

() private

Defined in `input/charts/CartesianSeries.js:174`

Checks to ensure that both xAxis and yAxis data are available. If so, set the `xData` and `yData` attributes and return `true`. Otherwise, return `false`.

#### Returns:

Boolean

### `_xAxisChangeHandler`

(

- `e`

)
private

Defined in `input/charts/CartesianSeries.js:105`

Event handler for the xAxisChange event.

#### Parameters:

- `e` Object

  Event object.

### `_xDataChangeHandler`

(

- `event`

)
private

Defined in `input/charts/CartesianSeries.js:142`

Event handler for xDataChange event.

#### Parameters:

- `event` Object

  Event object.

### `_yAxisChangeHandler`

(

- `e`

)
private

Defined in `input/charts/CartesianSeries.js:119`

Event handler the yAxisChange event.

#### Parameters:

- `e` Object

  Event object.

### `_yDataChangeHandler`

(

- `event`

)
private

Defined in `input/charts/CartesianSeries.js:158`

Event handler for yDataChange event.

#### Parameters:

- `event` Object

  Event object.

### `addListeners`

() private

Defined in `input/charts/CartesianSeries.js:59`

Adds event listeners.

### `destructor`

() protected

Defined in `input/charts/CartesianSeries.js:477`

Destructor implementation for the CartesianSeries class. Calls destroy on all Graphic instances.

### `draw`

() protected

Defined in `input/charts/CartesianSeries.js:321`

Draws the series.

### `getTotalValues`

()

Defined in `input/charts/CartesianSeries.js:465`

Returns the sum of all values for the series.

#### Returns:

Number

### `render`

() private

Defined in `input/charts/CartesianSeries.js:47`

### `setAreaData`

() protected

Defined in `input/charts/CartesianSeries.js:235`

Calculates the coordinates for the series.

### `validate`

() private

Defined in `input/charts/CartesianSeries.js:204`

Draws the series is the xAxis and yAxis data are both available.

## Properties

### `_bottomOrigin`

String private

Defined in `input/charts/CartesianSeries.js:38`

The y-coordinate for the bottom edge of the series.

### `_defaultBorderColors`

Array protected

Defined in `input/charts/CartesianSeries.js:407`

Collection of default colors used for marker borders in a series when not specified by user.

### `_defaultFillColors`

Array protected

Defined in `input/charts/CartesianSeries.js:398`

Collection of default colors used for marker fills in a series when not specified by user.

### `_defaultLineColors`

Array protected

Defined in `input/charts/CartesianSeries.js:389`

Collection of default colors used for lines in a series when not specified by user.

### `_defaultPlaneOffset`

Number private

Defined in `input/charts/CartesianSeries.js:362`

Default value for plane offsets when the parent chart's `interactiveType` is `planar`.

### `_defaultSliceColors`

Array protected

Defined in `input/charts/CartesianSeries.js:416`

Collection of default colors used for area fills, histogram fills and pie fills in a series when not specified by user.

### `_leftOrigin`

String private

Defined in `input/charts/CartesianSeries.js:29`

Th x-coordinate for the left edge of the series.

### `_xDisplayName`

String private

Defined in `input/charts/CartesianSeries.js:11`

Storage for `xDisplayName` attribute.

### `_yDisplayName`

String private

Defined in `input/charts/CartesianSeries.js:20`

Storage for `yDisplayName` attribute.

### `GUID`

String private

Defined in `input/charts/CartesianSeries.js:133`

Constant used to generate unique id.

## Attributes

### `categoryDisplayName`

String readonly

Defined in `input/charts/CartesianSeries.js:539`

Name used for for displaying category data

### `chart`

ChartBase readonly

Defined in `input/charts/CartesianSeries.js:614`

Reference to the `Chart` application.

### `direction`

String

Defined in `input/charts/CartesianSeries.js:803`

Direction of the series

### `graph`

Graph

Defined in `input/charts/CartesianSeries.js:630`

Reference to the `Graph` in which the series is drawn into.

### `graphOrder`

Number

Defined in `input/charts/CartesianSeries.js:590`

Order of the instance

### `groupMarkers`

Boolean

Defined in `input/charts/CartesianSeries.js:813`

Indicates whether or not markers for a series will be grouped and rendered in a single complex shape instance.

### `height`

Number

Defined in `input/charts/CartesianSeries.js:725`

Returns the height of the parent graph

### `order`

Number

Defined in `input/charts/CartesianSeries.js:582`

Order of this instance of this `type`.

### `rendered`

Boolean

Defined in `input/charts/CartesianSeries.js:700`

Indicates whether the Series has been through its initial set up.

### `type`

String

Defined in `input/charts/CartesianSeries.js:571`

Read-only attribute indicating the type of series.

Default: cartesian

### `valueDisplayName`

String readonly

Defined in `input/charts/CartesianSeries.js:555`

Name used for for displaying value data

### `visible`

Boolean

Defined in `input/charts/CartesianSeries.js:740`

Indicates whether to show the series

Default: true

### `xAxis`

Axis

Defined in `input/charts/CartesianSeries.js:638`

Reference to the `Axis` instance used for assigning x-values to the graph.

### `xcoords`

Array

Defined in `input/charts/CartesianSeries.js:598`

x coordinates for the series.

### `xData`

Array

Defined in `input/charts/CartesianSeries.js:684`

Array of x values for the series.

### `xDisplayName`

String

Defined in `input/charts/CartesianSeries.js:501`

Name used for for displaying data related to the x-coordinate.

### `xKey`

String

Defined in `input/charts/CartesianSeries.js:656`

Indicates which array to from the hash of value arrays in the x-axis `Axis` instance.

### `xMarkerPlane`

Array

Defined in `input/charts/CartesianSeries.js:751`

Collection of area maps along the xAxis. Used to determine mouseover for multiple series.

### `xMarkerPlaneOffset`

Number

Defined in `input/charts/CartesianSeries.js:769`

Distance from a data coordinate to the left/right for setting a hotspot.

### `yAxis`

Axis

Defined in `input/charts/CartesianSeries.js:647`

Reference to the `Axis` instance used for assigning y-values to the graph.

### `ycoords`

Array

Defined in `input/charts/CartesianSeries.js:606`

y coordinates for the series

### `yData`

Array

Defined in `input/charts/CartesianSeries.js:692`

Array of y values for the series.

### `yDisplayName`

String

Defined in `input/charts/CartesianSeries.js:520`

Name used for for displaying data related to the y-coordinate.

### `yKey`

String

Defined in `input/charts/CartesianSeries.js:670`

Indicates which array to from the hash of value arrays in the y-axis `Axis` instance.

### `yMarkerPlane`

Array

Defined in `input/charts/CartesianSeries.js:760`

Collection of area maps along the yAxis. Used to determine mouseover for multiple series.

### `yMarkerPlaneOffset`

Number

Defined in `input/charts/CartesianSeries.js:786`

Distance from a data coordinate to the top/bottom for setting a hotspot.